<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1" import="java.sql.*"%>
<%
	Connection conn = null;
	PreparedStatement stmt = null;
	ResultSet rs = null;
	try
	{
		Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
		conn = DriverManager.getConnection("jdbc:odbc:Northwind");
		
		String sql = "SELECT OrderID From Orders WHERE OrderID=?";
		stmt = conn.prepareStatement(sql);
		stmt.setString(1, request.getParameter("orderNum"));
		
		rs = stmt.executeQuery();
		if (rs.next())
		{
			out.write("success");
		}
		else
		{
			out.write("failed");
		}
	}
	catch(Exception e)
	{
		out.write("failed: " + e.toString());
	}
	finally 
	{
		if (rs != null) rs.close();
		if (stmt != null) stmt.close();
		if (conn != null) conn.close();
	}
%>